Debian Bug report logs - #698118
asterisk: version 1:1.6.2.9-2+squeeze9 crashes on SIP call, +squeeze6 does not

version graph

Package: asterisk; Maintainer for asterisk is Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>; Source for asterisk is src:asterisk.

Reported by: Diego Guella <diego.guella@sircomtech.com>

Date: Mon, 14 Jan 2013 09:06:02 UTC

Severity: grave

Found in version asterisk/1:1.6.2.9-2+squeeze9

Fixed in version asterisk/1:1.6.2.9-2+squeeze10

Done: Tzafrir Cohen <tzafrir@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698118; Package asterisk. (Mon, 14 Jan 2013 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diego Guella <diego.guella@sircomtech.com>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 09:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Diego Guella <diego.guella@sircomtech.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: asterisk: version 1:1.6.2.9-2+squeeze9 crashes on SIP call, +squeeze6 does not
Date: Mon, 14 Jan 2013 09:57:54 +0100
Package: asterisk
Version: 1:1.6.2.9-2+squeeze9
Severity: grave
Justification: renders package unusable

I have a production, fully working asterisk server.
I use many Siemens C470IP cordless phones on the office, they are SIP peers in my asterisk installation.
I had "asterisk" and "asterisk-config" version 1:1.6.2.9-2+squeeze6 installed, and all was working nicely.
Today, I updated to 1.6.2.9-2+squeeze9 and found out that asterisk seems working, but as soon as I do a SIP call with the cordless, asterisk crashes suddenly.
I reverted to 1.6.2.9-2+squeeze6 since this is a production asterisk and I can't have downtimes.
This is Debian Stable! A package should not break like this :(

Cheers,
Diego Guella



-- System Information:
Debian Release: 6.0.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages asterisk depends on:
ii  adduser            3.112+nmu2            add and remove users and groups
ii  asterisk-config    1:1.6.2.9-2+squeeze9  Configuration files for Asterisk
ii  asterisk-core-soun 1.4.19-1              asterisk PBX sound files - English
ii  dahdi              1:2.2.1.1-1           utilities for using the DAHDI kern
ii  libasound2         1.0.23-2.1            shared library for ALSA applicatio
ii  libc-client2007e   8:2007e~dfsg-3.1      c-client library for mail protocol
ii  libc6              2.11.3-4              Embedded GNU C Library: Shared lib
ii  libcap2            1:2.19-3              support for getting/setting POSIX.
ii  libcurl3           7.21.0-2.1+squeeze2   Multi-protocol file transfer libra
ii  libgcc1            1:4.4.5-8             GCC support library
ii  libglib2.0-0       2.24.2-1              The GLib library of C routines
ii  libgmime-2.0-2a    2.2.25-2              MIME library
ii  libgsm1            1.0.13-3              Shared libraries for GSM speech co
ii  libiksemel3        1.2-4                 C library for the Jabber IM platfo
ii  libjack-jackd2-0 [ 1.9.6~dfsg.1-2        JACK Audio Connection Kit (librari
ii  libldap-2.4-2      2.4.23-7.2            OpenLDAP libraries
ii  liblua5.1-0        5.1.4-5               Simple, extensible, embeddable pro
ii  libncurses5        5.7+20100313-5        shared libraries for terminal hand
ii  libnewt0.52        0.52.11-1             Not Erik's Windowing Toolkit - tex
ii  libogg0            1.2.0~dfsg-1          Ogg bitstream library
ii  libopenais3        1.1.2-2               Standards-based cluster framework 
ii  libopenr2-3        1.3.0-2               MFC/R2 (telephony) call setup libr
ii  libpopt0           1.16-1                lib for parsing cmdline parameters
ii  libpq5             8.4.13-0squeeze1      PostgreSQL C client library
ii  libpri1.4          1.4.11.3-1            Primary Rate ISDN specification li
ii  libradiusclient-ng 0.5.6-1.1             Enhanced RADIUS client library
ii  libresample1       0.1.3-3               real-time audio resampling library
ii  libsdl1.2debian    1.2.14-6.1            Simple DirectMedia Layer
ii  libsnmp15          5.4.3~dfsg-2          SNMP (Simple Network Management Pr
ii  libspandsp2        0.0.6~pre12-1         Telephony signal processing librar
ii  libspeex1          1.2~rc1-1             The Speex codec runtime library
ii  libspeexdsp1       1.2~rc1-1             The Speex extended runtime library
ii  libsqlite0         2.8.17-6              SQLite shared library
ii  libss7-1           1.0.2-1               Signalling System 7 (ss7) library
ii  libssl0.9.8        0.9.8o-4squeeze13     SSL shared libraries
ii  libstdc++6         4.4.5-8               The GNU Standard C++ Library v3
ii  libsybdb5          0.82-7                libraries for connecting to MS SQL
ii  libtiff4           3.9.4-5+squeeze8      Tag Image File Format (TIFF) libra
ii  libtonezone2.0     1:2.2.1.1-1           tonezone library (runtime)
ii  libvorbis0a        1.3.1-1+squeeze1      The Vorbis General Audio Compressi
ii  libvorbisenc2      1.3.1-1+squeeze1      The Vorbis General Audio Compressi
ii  libvpb0            4.2.52-2              Voicetronix telephony hardware use
ii  libx11-6           2:1.3.3-4             X11 client-side library
ii  libxml2            2.7.8.dfsg-2+squeeze6 GNOME XML library
ii  unixodbc           2.2.14p2-1            ODBC tools libraries
ii  zlib1g             1:1.2.3.4.dfsg-3      compression library - runtime

Versions of packages asterisk recommends:
ii  sox                          14.3.1-1+b1 Swiss army knife of sound processi

Versions of packages asterisk suggests:
pn  asterisk-dev                  <none>     (no description available)
pn  asterisk-doc                  <none>     (no description available)
pn  asterisk-h323                 <none>     (no description available)

-- Configuration Files:
/etc/logrotate.d/asterisk changed:
/var/log/asterisk/debug /var/log/asterisk/messages /var/log/asterisk/full /var/log/asterisk/*_log {
        daily
        missingok
        rotate 999
        sharedscripts
        postrotate
                /usr/sbin/invoke-rc.d asterisk logger-reload > /dev/null 2> /dev/null
        endscript
}


-- no debconf information



Added indication that 698118 affects security.debian.org and release.debian.org Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 14 Jan 2013 09:15:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Tzafrir Cohen <tzafrir@debian.org> to control@bugs.debian.org. (Mon, 14 Jan 2013 13:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698118; Package asterisk. (Mon, 14 Jan 2013 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valentin Vidic <Valentin.Vidic@CARNet.hr>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 14:00:03 GMT) Full text and rfc822 format available.

Message #14 received at 698118@bugs.debian.org (full text, mbox):

From: Valentin Vidic <Valentin.Vidic@CARNet.hr>
To: 698118@bugs.debian.org
Subject: asterisk 1:1.6.2.9-2+squeeze9 segfaults
Date: Mon, 14 Jan 2013 14:29:08 +0100
Same thing here, started segfaulting after an upgrade this morning:

2013-01-14 10:32:13 upgrade asterisk 1:1.6.2.9-2+squeeze8 1:1.6.2.9-2+squeeze9

[783312.661049] asterisk[27654]: segfault at 1 ip b748db77 sp b5319684 error 4 in libc-2.11.3.so[b7418000+140000]
[783442.211589] asterisk[13070]: segfault at 1 ip b74a0b77 sp b532d684 error 4 in libc-2.11.3.so[b742b000+140000]
[787731.493578] asterisk[13304]: segfault at 1 ip b74b6b77 sp b5344684 error 4 in libc-2.11.3.so[b7441000+140000]
[787933.505841] asterisk[937]:   segfault at 1 ip b750fb77 sp b539c684 error 4 in libc-2.11.3.so[b749a000+140000]
[788010.077989] asterisk[2168]:  segfault at 1 ip b745db77 sp b52eb684 error 4 in libc-2.11.3.so[b73e8000+140000]
[788592.836440] asterisk[2359]:  segfault at 1 ip b7550b77 sp b53dc684 error 4 in libc-2.11.3.so[b74db000+140000]
[792704.434687] asterisk[6096]:  segfault at 1 ip b746cb77 sp b52fa684 error 4 in libc-2.11.3.so[b73f7000+140000]
[793003.009440] asterisk[25102]: segfault at 1 ip b751db77 sp b53a9684 error 4 in libc-2.11.3.so[b74a8000+140000]

-- 
Valentin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#698118; Package asterisk. (Wed, 16 Jan 2013 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to klosch <klosch@netresearch.de>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. (Wed, 16 Jan 2013 22:33:03 GMT) Full text and rfc822 format available.

Message #19 received at 698118@bugs.debian.org (full text, mbox):

From: klosch <klosch@netresearch.de>
To: 698118@bugs.debian.org
Subject: affects me as well
Date: Wed, 16 Jan 2013 23:09:55 +0100
Jan 16 23:05:09 sip-pbx kernel: [  181.776094] asterisk[2632]: segfault
at 1 ip b74b4b77 sp b4ded4e4 error 4 in libc-2.11.3.so[b743f000+140000]




Reply sent to Tzafrir Cohen <tzafrir@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 23:21:45 GMT) Full text and rfc822 format available.

Notification sent to Diego Guella <diego.guella@sircomtech.com>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 23:21:45 GMT) Full text and rfc822 format available.

Message #24 received at 698118-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 698118-close@bugs.debian.org
Subject: Bug#698118: fixed in asterisk 1:1.6.2.9-2+squeeze10
Date: Sun, 20 Jan 2013 23:17:15 +0000
Source: asterisk
Source-Version: 1:1.6.2.9-2+squeeze10

We believe that the bug you reported is fixed in the latest version of
asterisk, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698118@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@debian.org> (supplier of updated asterisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Jan 2013 15:15:28 +0200
Source: asterisk
Binary: asterisk asterisk-h323 asterisk-doc asterisk-dev asterisk-dbg asterisk-sounds-main asterisk-config
Architecture: source all amd64
Version: 1:1.6.2.9-2+squeeze10
Distribution: stable-security
Urgency: high
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Tzafrir Cohen <tzafrir@debian.org>
Description: 
 asterisk   - Open Source Private Branch Exchange (PBX)
 asterisk-config - Configuration files for Asterisk
 asterisk-dbg - Debugging symbols for Asterisk
 asterisk-dev - Development files for Asterisk
 asterisk-doc - Source code documentation for Asterisk
 asterisk-h323 - H.323 protocol support for Asterisk
 asterisk-sounds-main - Core Sound files for Asterisk (English)
Closes: 698112 698118
Changes: 
 asterisk (1:1.6.2.9-2+squeeze10) stable-security; urgency=high
 .
   * Fix typo in patch AST-2012-015 (Closes: #698112, #698118).
   * Fix an error in patch AST-2012-014 (Javier Serrano Polo).
Checksums-Sha1: 
 bcd96b9bc37d613c2ea95490294a566fb1d3bc23 2226 asterisk_1.6.2.9-2+squeeze10.dsc
 2e83d9af0536e904533419bc007f7f2c05b76400 114771 asterisk_1.6.2.9-2+squeeze10.debian.tar.gz
 8d814b08deca05f057bfee096a55b65ca960fcb2 1708056 asterisk-doc_1.6.2.9-2+squeeze10_all.deb
 f24a573f98ad35864fde47178254bc274e116815 636704 asterisk-dev_1.6.2.9-2+squeeze10_all.deb
 905e3481b0c9b8ad9a175a07cbba6a244f6804ae 2186260 asterisk-sounds-main_1.6.2.9-2+squeeze10_all.deb
 f2a1c1ffd7ccae9679767092dffac27d4b2de47c 717632 asterisk-config_1.6.2.9-2+squeeze10_all.deb
 3da5ebcc267b7067ac198626ee679dc5e30d6a0d 3603184 asterisk_1.6.2.9-2+squeeze10_amd64.deb
 9cc5ebdd846af0d86c4309c53d54c78653594e2f 534108 asterisk-h323_1.6.2.9-2+squeeze10_amd64.deb
 9acec680becdf9395646f0d8d855676b3e23c1e8 20345242 asterisk-dbg_1.6.2.9-2+squeeze10_amd64.deb
Checksums-Sha256: 
 f96852fdf00ede39ec9a96f8a0dcd2ab255d851e4137082b1f7ed1fea98194cb 2226 asterisk_1.6.2.9-2+squeeze10.dsc
 64d48226e6813f1e18d47ea07707303f9ca47944207a8e8455215b41506ee515 114771 asterisk_1.6.2.9-2+squeeze10.debian.tar.gz
 39a7b33f5703e22b7adedf91254a8306a2ed7611a3784aa865559076dc36dc1c 1708056 asterisk-doc_1.6.2.9-2+squeeze10_all.deb
 3496fef579f1ca214d5a7459c8e0473ee2394253333fa6baa9cf93e36f438896 636704 asterisk-dev_1.6.2.9-2+squeeze10_all.deb
 dcf643afa3746ba25cbc87e16608ad975d31cd9cd545c3fa2aa45505a111ca5e 2186260 asterisk-sounds-main_1.6.2.9-2+squeeze10_all.deb
 2a37fd9b09c6ad0155ed0c610c6254fbab43d5d361dc15cffae0870969b8aa30 717632 asterisk-config_1.6.2.9-2+squeeze10_all.deb
 ddcca7b6a0212ead5e8766d0b705f18932fae8415c29c26440ea3423c5c88a38 3603184 asterisk_1.6.2.9-2+squeeze10_amd64.deb
 c89bac8eab78d579d8d4f0ec5f681528ee0cfe68b8a146133f5a3b9d1d442def 534108 asterisk-h323_1.6.2.9-2+squeeze10_amd64.deb
 a3780b030989dd790873c92310b5e101724f6c8ba467707ae690fe950acc5ba0 20345242 asterisk-dbg_1.6.2.9-2+squeeze10_amd64.deb
Files: 
 82e5e87e0d7c88da04e98fca92d7c5d0 2226 comm optional asterisk_1.6.2.9-2+squeeze10.dsc
 fa6b5e86b3e3548b58f3defed2ee2965 114771 comm optional asterisk_1.6.2.9-2+squeeze10.debian.tar.gz
 cce028da455d24fa8d893a38e6098e54 1708056 doc extra asterisk-doc_1.6.2.9-2+squeeze10_all.deb
 4451cfb7c1bf00472937fbd2a87789ca 636704 devel extra asterisk-dev_1.6.2.9-2+squeeze10_all.deb
 046d12d4f3726812743dcc652003f1ef 2186260 comm optional asterisk-sounds-main_1.6.2.9-2+squeeze10_all.deb
 03f2360d85ead19c33a9912c87f4df0e 717632 comm optional asterisk-config_1.6.2.9-2+squeeze10_all.deb
 8282e2881d1c8d18b9cfbfe31878a3ea 3603184 comm optional asterisk_1.6.2.9-2+squeeze10_amd64.deb
 b417b068ce4d5d7101d40fa7bcb3db4b 534108 comm optional asterisk-h323_1.6.2.9-2+squeeze10_amd64.deb
 5277647ebfde1f5eaca8bdcd11c86148 20345242 debug extra asterisk-dbg_1.6.2.9-2+squeeze10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD0VP4ACgkQxArWdkN9MovmeQCfS+LzsGqNxXSi0wMOZUgEgoH6
tgMAn0QPZNLKmXfysIcFGZksMm0j0n4p
=xH2E
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Feb 2013 07:25:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:30:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.